C Event type: TYPE 1 = mu -> e+ gamma; 2 = rad dec; 3,4 = acc; 
C                 11 -> 19 e+ only; 21 -> 29 gamma only.
      INTEGER TYPE
      COMMON/EVCODE/TYPE

C Mnemonics for the event types. 
      INTEGER SIGNAL,SIGNAE,SIGNAG,MICHEE,NOISEE,RDGAMA,AFGAMA, 
     +        MICHRD,MICHAF,RADDEC,LFGAMA,
     +        PILRAD,PILAIF,PILRAI,PILFLA
      PARAMETER (SIGNAL = 1)
      PARAMETER (RADDEC = 2)
      PARAMETER (MICHRD = 3)
      PARAMETER (MICHAF = 4)
      PARAMETER (SIGNAE = 11)
      PARAMETER (MICHEE = 12)
      PARAMETER (NOISEE = 13)
      PARAMETER (SIGNAG = 21)
      PARAMETER (RDGAMA = 22)
      PARAMETER (AFGAMA = 23)
      PARAMETER (LFGAMA = 24)
      PARAMETER (PILRAD = 25)
      PARAMETER (PILAIF = 26)
      PARAMETER (PILRAI = 27)
      PARAMETER (PILFLA = 28)

C Muon properties and useful constants.
      COMMON/MUON/MUMASS,EMAX,PMAX,POL,R,EMMEV,MUMMEV
      REAL MUMASS,EMAX,PMAX,POL,R,EMMEV,MUMMEV

C Option for formulae: FORMOP = 0 approximate; 1 exact
      INTEGER FORMOP     
      COMMON/FORMUL/FORMOP

C Positron and gamma position and momenta.
      INTEGER GCODE(2)
      COMMON/GEAVIN/GCODE
      REAL VINIT(2,3),PINIT(2,3)
      COMMON/GEAVR/VINIT,PINIT

C Event statistics.
      INTEGER NREJ
      COMMON/EVSTAT/NREJ

C e+e- annihilation.
      COMMON/ANNIH/EPP,PPP,GAMMA
      REAL EPP,PPP,GAMMA

C Angular distributions.
      REAL CTHPOS,CTHPH,THGEN,PHGEN,DCTHET,DPHI
      INTEGER IANG
      COMMON/ANGDI/CTHPOS,CTHPH,THGEN,PHGEN,DCTHET,DPHI,IANG

C Target properties.
      INTEGER ITAR
      COMMON/TARPRO/ITAR

C Maximum differences of the e+ and gamma energies 
C (from MUMASS/2) and relative angle (from pi) allowed by 
C the experimental sensitivity.
      REAL DX,DY,DZ,X,Y,Z
      COMMON/WIDTHS/DX,DY,DZ,X,Y,Z
      




