
C MC Output.
      INTEGER LUNOUT     
      INTEGER NDATA
      PARAMETER (NDATA = 200000)
      PARAMETER (LUNOUT = 78) 
      INTEGER MAXHTC,MAXHSP
      INTEGER MTOFVA,MSPEVA
      PARAMETER (MTOFVA = 20,MSPEVA = 20)
      PARAMETER (MAXHTC = 50,MAXHSP = 50)
      REAL V(NDATA),TCH(MAXHTC,MTOFVA),SPH(MAXHSP,MSPEVA)
      COMMON/OUTP/V,TCH,SPH

C LiXe pulse formation.
      INTEGER NPIMAX,NPOMAX,NPUMAX,NPDMAX,NPLMAX,NPRMAX
      PARAMETER (NPIMAX = 500, NPOMAX = 500, NPUMAX = 100,
     +           NPDMAX = 100, NPLMAX = 200, NPRMAX = 200)
      REAL BINWID,MEMDEP
      PARAMETER (BINWID = 10., MEMDEP = 300.)
      INTEGER NBADC 
      PARAMETER (NBADC = MEMDEP/BINWID)
      REAL PULI(NPIMAX,NBADC),PULO(NPOMAX,NBADC),
     +     PULU(NPUMAX,NBADC),PULD(NPDMAX,NBADC),
     +     PULL(NPLMAX,NBADC),PULR(NPRMAX,NBADC)
      COMMON/LIXPUL/PULI,PULO,PULU,PULD,PULL,PULR

C Data analysis
      INTEGER LUNIN     
      PARAMETER (LUNIN = 77)

      INTEGER EVNUMB,IPOOK,IGAOK,IDAT 
      REAL PPO(3),PPHO(3),VPO(3),VPHO(3)
      COMMON/ANAMC/EVNUMB,IPOOK,IGAOK,PPO,PPHO,VPO,VPHO

      REAL VPHOPI(3),PPHOPI(3)
      COMMON/PILEUP/VPHOPI,PPHOPI

      INTEGER ANPI,ANPO,ANPU,ANPD,ANPL,ANPR
      REAL APCHI(NPIMAX),APCHO(NPOMAX),APCHU(NPUMAX),APCHD(NPDMAX),
     +     APCHL(NPLMAX),APCHR(NPRMAX)
      REAL ATCHI(NPIMAX),ATCHO(NPOMAX),ATCHU(NPUMAX),ATCHD(NPDMAX),
     +     ATCHL(NPLMAX),ATCHR(NPRMAX)
      COMMON/ANAPM/ANPI, ANPO, ANPU, ANPD, ANPL, ANPR,
     +             APCHI,APCHO,APCHU,APCHD,APCHL,APCHR,
     +             ATCHI,ATCHO,ATCHU,ATCHD,ATCHL,ATCHR

      REAL APULI(NPIMAX,NBADC),APULO(NPOMAX,NBADC),
     +     APULU(NPUMAX,NBADC),APULD(NPDMAX,NBADC),
     +     APULL(NPLMAX,NBADC),APULR(NPRMAX,NBADC)
      COMMON/ANAPUL/APULI,APULO,APULU,APULD,APULL,APULR

      INTEGER NTVA,NSVA
      PARAMETER (NTVA = 8,NSVA = 7)

      INTEGER NTOFEV
      REAL TOFEV(MAXHTC,MTOFVA)
      COMMON/ANATOF/NTOFEV,TOFEV

      INTEGER NSPEV
      REAL SPEV(MAXHSP,MSPEVA)
      COMMON/ANASPE/NSPEV,SPEV

      REAL ELXE,EPTL,EPMT,EPVT,ENIT,EKAP,EHET,
     +     EHEL,EG10,EPTS,EALC,EVCC,EPTT 
      COMMON/ENELO/ELXE,EPTL,EPMT,EPVT,ENIT,EKAP,EHET,
     +             EHEL,EG10,EPTS,EALC,EVCC,EPTT 
      
      REAL X0,Y0,Z0,XAVE(3),LONFL,LATFL,CONVP(3)
      COMMON/GAMINT/X0,Y0,Z0,XAVE,CONVP,LONFL,LATFL






