C ============================================================= C
C Include file for mccob.F.                                     C
C ============================================================= C

C Magnetic field drawing.
C UXMA suggested .15
C UYMA      "    .15
C      REAL UXMA,UYMA
C      COMMON/MFDRAW/UXMA,UYMA

C Target and tracking media sizes. INCLUDED TARGET AND TIMING COUNTERS.
C      REAL TOFDIM(3),TOFOFF,TOFANG(2),DRCRAD,DRCDIM(4),TARDIM(3),
C     + 		DRCDZ,DRCDR
C      INTEGER NSLTOF,ICOIL,ICALC
C                     
C      COMMON/MCSSIZ/TOFDIM,TOFOFF,TOFANG,DRCRAD,DRCDIM,TARDIM,
C     +              DRCDZ, DRCDR, NSLTOF, ICOIL, ICALC

C Tracking media sizes. INCLUDED TIMING COUNTERS.
C      REAL TOFDIM(3),TOFOFF,TOFANG(2),DRCRAD,DRCDIM(4),
C     + 		DRCDZ,DRCDR
C      INTEGER NSLTOF,ICOIL,ICALC
C                     
C      COMMON/MCSSIZ/TOFDIM,TOFOFF,TOFANG,DRCRAD,DRCDIM,
C     +              DRCDZ, DRCDR, NSLTOF, ICOIL, ICALC

C Tracking media sizes. INCLUDED MAGNETIC FIELD.
C       REAL DRCRAD,DRCDIM(4),DRCDZ,DRCDR
C       INTEGER ICOIL,ICALC                     
C       COMMON/MCSSIZ/DRCRAD,DRCDIM,DRCDZ,DRCDR,ICOIL,ICALC

C Tracking media sizes. SPECROMETER ONLY.
       REAL DRCRAD,DRCDIM(4),DRCWAL,DRCSPT,DRCDZ,DRCDR
       COMMON/MCSSIZ/DRCRAD,DRCDIM,DRCWAL,DRCSPT,DRCDZ,DRCDR

C Relevant event information.
      INTEGER NINFO
      PARAMETER (NINFO = 50)
      INTEGER EVNUM,NIN,NPHOD,NTRK1,NTRK2
      REAL MUDEC(3),POSMO(3),RPOMA,COTET
      REAL TPHOD(NINFO),ZPHOD(NINFO), 
     +     EPHOD(NINFO),THPHO(NINFO),EBPHO(NINFO), 
     +     EPTR1(NINFO),THTR1(NINFO),EBTR1(NINFO), 
     +     EPTR2(NINFO),THTR2(NINFO),EBTR2(NINFO)
      INTEGER SPHOD(NINFO), 
     +        VPTR1(NINFO),ZPTR1(NINFO),SPTR1(NINFO), 
     +        VPTR2(NINFO),ZPTR2(NINFO),SPTR2(NINFO)
      INTEGER ISTAKOK(2),NUGENE,NUOMEG,NUPAIR,NUPAIG,NUCOMP,NUCOMG,
     +        NUPAIT,ICONV
      COMMON/MCSEVE/EVNUM,  MUDEC, POSMO, RPOMA, NPHOD, NTRK1, NTRK2,
     +              NIN,    TPHOD, ZPHOD, SPHOD, EPHOD, THPHO, EBPHO, 
     +              VPTR1,  ZPTR1, SPTR1, EPTR1, THTR1, EBTR1,
     +              VPTR2,  ZPTR2, SPTR2, EPTR2, THTR2, EBTR2,
     +		    ISTAKOK,NUGENE,NUOMEG,NUPAIR,NUPAIG,NUCOMP,NUCOMG,
     +              NUPAIT, ICONV

C Other user variables.
	REAL PRENE,EBREM
	COMMON/MCSUSE/PRENE, EBREM 

C N-tuple dimension.
	INTEGER NUPELE,NUPGEO
	PARAMETER (NUPELE = 48, NUPGEO = 15)









